> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Customer Aliases

> List all Customer Aliases



## OpenAPI

````yaml customer.2024-07-30.product.live GET /customer-aliases
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customer-aliases:
    servers: []
    parameters: []
    get:
      tags:
        - Customer Aliases
      summary: List all Customer Aliases
      description: List all Customer Aliases
      operationId: getCustomerAliases
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.next` or `pagination.previous` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: value
          in: query
          description: Filter customer aliases by value
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListCustomerAliasEndpointListCustomerAliasPaginatedResponseModel
                example:
                  items:
                    - id: 01849e70-0a0f-72ca-ba07-5557dd734d43
                      sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
                      customerId: 01849e70-703e-705a-b59a-d3fd575587e0
                      value: external-customer-alias-123
                      createdAt: '2022-10-01T00:00:00Z'
                      deletedAt: '2022-10-01T00:00:00Z'
                      label: CRM ID
                      archivedAt: '2022-10-01T00:00:00Z'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListCustomerAliasEndpointListCustomerAliasPaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 01849e70-0a0f-72ca-ba07-5557dd734d43
                        sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
                        customerId: 01849e70-703e-705a-b59a-d3fd575587e0
                        value: external-customer-alias-123
                        createdAt: '2022-10-01T00:00:00Z'
                        deletedAt: '2022-10-01T00:00:00Z'
                        label: CRM ID
                        archivedAt: '2022-10-01T00:00:00Z'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCustomerAliasEndpointListCustomerAliasPaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 01849e70-0a0f-72ca-ba07-5557dd734d43
            sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
            customerId: 01849e70-703e-705a-b59a-d3fd575587e0
            value: external-customer-alias-123
            createdAt: '2022-10-01T00:00:00Z'
            deletedAt: '2022-10-01T00:00:00Z'
            label: CRM ID
            archivedAt: '2022-10-01T00:00:00Z'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Customer Aliases
          example:
            - id: 01849e70-0a0f-72ca-ba07-5557dd734d43
              sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
              customerId: 01849e70-703e-705a-b59a-d3fd575587e0
              value: external-customer-alias-123
              createdAt: '2022-10-01T00:00:00Z'
              deletedAt: '2022-10-01T00:00:00Z'
              label: CRM ID
              archivedAt: '2022-10-01T00:00:00Z'
          items:
            $ref: '#/components/schemas/CustomerAliasResponseModel'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    CustomerAliasResponseModel:
      required:
        - createdAt
        - customerId
        - id
        - sequenceAccountId
        - value
      type: object
      example:
        id: 01849e70-0a0f-72ca-ba07-5557dd734d43
        sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
        customerId: 01849e70-703e-705a-b59a-d3fd575587e0
        value: external-customer-alias-123
        createdAt: '2022-10-01T00:00:00Z'
        deletedAt: '2022-10-01T00:00:00Z'
        label: CRM ID
        archivedAt: '2022-10-01T00:00:00Z'
      properties:
        id:
          type: string
          description: Unique ID
          example: 01849e70-0a0f-72ca-ba07-5557dd734d43
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: ec1479a2-6ba1-421f-a7de-0853a20d17a1
        customerId:
          type: string
          description: Customer ID
          example: 01849e70-703e-705a-b59a-d3fd575587e0
        value:
          type: string
          description: Alias value
          example: external-customer-alias-123
        createdAt:
          type: string
          description: Created At
          example: '2022-10-01T00:00:00Z'
        deletedAt:
          type: string
          description: Deleted At
          example: '2022-10-01T00:00:00Z'
        label:
          type: string
          description: Alias label
          example: CRM ID
        archivedAt:
          type: string
          description: Archived At
          example: '2022-10-01T00:00:00Z'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10

````